Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 12-03-2017 00:06:09

hukros
Membre
Lieu : Nouméa
Distrib. : Debian Jessie 8
Noyau : Linux 3.16.0-4-686-pae
(G)UI : KDE
Inscription : 28-10-2016

[Résolu] Soucis avec QGIS-server [Résolu]

Bonjour à tous et à toutes,

je viens vers vous car pour mon cours de geolocalisation et cartographie notre professeur nous a demandé d'installer qgis. Jusque la pas de soucis j'ai réussi a installer tout les paquets sans aucun soucis ou le wiki ma aider aussi.

Mais mon soucis c'est pour l'installation de qgis-server ou le terminal me retourne

apt-get install qgis-server


Les paquets suivants contiennent des dépendances non satisfaites :
 qgis-server : Dépend: qgis-providers (= 2.14.11+dfsg-1~bpo8+1) mais 2.4.0-1+b1 devra être installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
 


j'ai trouvé que des solutions sous ubuntu mais rien pour debian

D'avance merci pour votre aide

Cordialement

Hukros

Dernière modification par hukros (15-03-2017 08:55:00)

Hors ligne

#2 12-03-2017 00:21:43

Severian
Membre
Distrib. : Debian GNU/Linux 8.7 (jessie)
Noyau : Linux 4.9.0-0.bpo.1-amd64
(G)UI : Openbox 3.6.1-4
Inscription : 13-12-2014

Re : [Résolu] Soucis avec QGIS-server [Résolu]

bonsoir

que donne la commande

apt-get -s install -t jessie-backports qgis-server qgis-providers


(cette commande est une simulation, de plus lancé en mode utilisateur donc n'ajoutera ni n’enlèvera de paquets du système)


"il est urgent d'attendre" (bendia)
ob3-de10.pngbanner98x30.png

Hors ligne

#3 12-03-2017 00:50:58

hukros
Membre
Lieu : Nouméa
Distrib. : Debian Jessie 8
Noyau : Linux 3.16.0-4-686-pae
(G)UI : KDE
Inscription : 28-10-2016

Re : [Résolu] Soucis avec QGIS-server [Résolu]

Bonjour,

apt-get -s install -t jessie-backports qgis-server qgis-providers
 


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libqgis-analysis2.4.0 libqgis-core2.4.0 libqgis-gui2.4.0
  libqgis-networkanalysis2.4.0 libqgisgrass2.4.0 libqgispython2.4.0
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés :
  libfcgi0ldbl libjs-leaflet libqgis-analysis2.14.11 libqgis-app2.14.11
  libqgis-core2.14.11 libqgis-customwidgets libqgis-gui2.14.11
  libqgis-networkanalysis2.14.11 libqgis-server2.14.11 libqgisgrass6-2.14.11
  libqgispython2.14.11 openscenegraph-plugin-osgearth python-qgis
  python-qgis-common python-shapely python-yaml qgis qgis-common
  qgis-plugin-globe qgis-plugin-globe-common qgis-plugin-grass
  qgis-plugin-grass-common qgis-provider-grass qgis-providers-common
  qt4-designer
Paquets suggérés :
  gpsbabel
Paquets recommandés :
  liblwgeom-dev libqt4-dev
Les NOUVEAUX paquets suivants seront installés :
  libfcgi0ldbl libjs-leaflet libqgis-analysis2.14.11 libqgis-app2.14.11
  libqgis-core2.14.11 libqgis-customwidgets libqgis-gui2.14.11
  libqgis-networkanalysis2.14.11 libqgis-server2.14.11 libqgisgrass6-2.14.11
  libqgispython2.14.11 openscenegraph-plugin-osgearth python-shapely
  python-yaml qgis-provider-grass qgis-server qt4-designer
Les paquets suivants seront mis à jour :
  python-qgis python-qgis-common qgis qgis-common qgis-plugin-globe
  qgis-plugin-globe-common qgis-plugin-grass qgis-plugin-grass-common
  qgis-providers qgis-providers-common
10 mis à jour, 17 nouvellement installés, 0 à enlever et 186 non mis à jour.
Inst qgis-plugin-grass [2.4.0-1+b1] (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386]) []
Inst qgis-plugin-grass-common [2.4.0-1] (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [all]) []
Inst libqgis-core2.14.11 (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386]) []
Inst libqgis-gui2.14.11 (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386]) []
Inst libqgisgrass6-2.14.11 (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386]) []
Inst qgis-provider-grass (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386]) []
Inst libqgis-analysis2.14.11 (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386]) []
Inst libqgis-app2.14.11 (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386]) []
Inst qgis-plugin-globe [2.4.0-1+b1] (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386]) []
Inst qgis-plugin-globe-common [2.4.0-1] (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [all]) []
Inst openscenegraph-plugin-osgearth (2.5.0+dfsg-2+b2 Debian:8.7/stable [i386]) []
Inst libqgis-networkanalysis2.14.11 (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386]) []
Inst python-shapely (1.4.3-1 Debian:8.7/stable [i386]) []
Inst qt4-designer (4:4.8.6+git64-g5dc8b2b+dfsg-3+deb8u1 Debian:8.7/stable [i386]) []
Inst libqgis-customwidgets (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386]) []
Inst python-qgis [2.4.0-1+b1] (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386]) []
Inst python-qgis-common [2.4.0-1] (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [all]) []
Inst python-yaml (3.11-2 Debian:8.7/stable [i386]) []
Inst libqgispython2.14.11 (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386]) []
Inst libfcgi0ldbl (2.4.0-8.3 Debian:8.7/stable [i386]) []
Inst libqgis-server2.14.11 (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386]) []
Inst qgis [2.4.0-1+b1] (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386]) []
Inst qgis-providers [2.4.0-1+b1] (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386]) []
Inst qgis-providers-common [2.4.0-1] (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [all]) []
Inst libjs-leaflet (0.7.3~dfsg-1 Debian:8.7/stable [all]) []
Inst qgis-common [2.4.0-1] (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [all])
Inst qgis-server (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386])
Conf libqgis-core2.14.11 (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386])
Conf libqgis-analysis2.14.11 (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386])
Conf libqgis-gui2.14.11 (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386])
Conf libqgis-app2.14.11 (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386])
Conf libqgis-networkanalysis2.14.11 (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386])
Conf python-shapely (1.4.3-1 Debian:8.7/stable [i386])
Conf qt4-designer (4:4.8.6+git64-g5dc8b2b+dfsg-3+deb8u1 Debian:8.7/stable [i386])
Conf libqgis-customwidgets (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386])
Conf python-qgis-common (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [all])
Conf python-yaml (3.11-2 Debian:8.7/stable [i386])
Conf libqgispython2.14.11 (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386])
Conf libfcgi0ldbl (2.4.0-8.3 Debian:8.7/stable [i386])
Conf libqgis-server2.14.11 (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386])
Conf python-qgis (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386])
Conf qgis-providers-common (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [all])
Conf qgis-providers (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386])
Conf libjs-leaflet (0.7.3~dfsg-1 Debian:8.7/stable [all])
Conf qgis-common (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [all])
Conf qgis (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386])
Conf qgis-plugin-grass-common (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [all])
Conf libqgisgrass6-2.14.11 (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386])
Conf qgis-provider-grass (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386])
Conf qgis-plugin-grass (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386])
Conf qgis-plugin-globe-common (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [all])
Conf openscenegraph-plugin-osgearth (2.5.0+dfsg-2+b2 Debian:8.7/stable [i386])
Conf qgis-plugin-globe (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386])
Conf qgis-server (2.14.11+dfsg-1~bpo8+1 Debian Backports:jessie-backports [i386])
 



je suis désolé j'étais en root quand j'ai fais la commande

Merci pour ton aide,

Cordialement

Hukros

Dernière modification par hukros (12-03-2017 00:52:51)

Hors ligne

#4 12-03-2017 04:49:38

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 3.16.0-4-amd64 - 3.16.39-1
(G)UI : gnome 1:3.14+3
Inscription : 21-10-2008

Re : [Résolu] Soucis avec QGIS-server [Résolu]

Cela n'a pas d'importance root ou user pour le fonctionnement et le résultat, l'option -s impose une simulation juste pour vérifier. Par contre, en user tu restes dans la prudence en l'envoyant, c'est tout.
Voir le tuto apt-get :
https://debian-facile.org/doc:systeme:a … n-logiciel

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#5 12-03-2017 05:39:33

hukros
Membre
Lieu : Nouméa
Distrib. : Debian Jessie 8
Noyau : Linux 3.16.0-4-686-pae
(G)UI : KDE
Inscription : 28-10-2016

Re : [Résolu] Soucis avec QGIS-server [Résolu]

Salut

donc je dois juste enlever le -s pour qu il s installe qgis-server et c'est dépendance?

D avance merci

Cordialement

Kevin

Dernière modification par hukros (12-03-2017 05:47:49)

Hors ligne

#6 12-03-2017 07:43:03

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 3.16.0-4-amd64 - 3.16.39-1
(G)UI : gnome 1:3.14+3
Inscription : 21-10-2008

Re : [Résolu] Soucis avec QGIS-server [Résolu]

@hukros oui, une fois la simulation faite et le résultat correct obtenu, pour installer tu passes en root et tu refais exactement la même commande en ôtant l'option -s.
... yes.gif

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#7 15-03-2017 08:54:31

hukros
Membre
Lieu : Nouméa
Distrib. : Debian Jessie 8
Noyau : Linux 3.16.0-4-686-pae
(G)UI : KDE
Inscription : 28-10-2016

Re : [Résolu] Soucis avec QGIS-server [Résolu]

Merci beaucoup pour votre aide.

je mets le poste en résolu

Merci:D:D:D:D:D:D

Cordialement

Hukros

Hors ligne

Pied de page des forums